package com.hc.core.utils.enums;

import lombok.Getter;

/**
 * @author JIA
 * 自定义消息枚举类
 */
@Getter
public enum InfoEnum {

    NULL_PARAMETER(400, "请求参数错误"),

    LOGIN_USER_NAME_ERROR(201, "用户名错误,此用户不存在"),

    LOGIN_PASSWORD_ERROR(202, "密码错误,请重新输入"),

    LOGIN_REGISTER_RE(204, "用户已存在,不可重复注册"),

    SESSION_EXPIRED(205, "无资源权限,请登录"),

    AUTHCODE_ERROR(206, "验证码输入错误"),

    PAPER_ERROR(212, "此试卷已过期，请联系管理员重新设置"),

    TOKEN_ERROR(209, "非法token,禁止进入系统"),

    USER_INVOICES_ERROR(210, "此订单已申请发票,请不要重复操作"),

    ORDER_ERROR(211, "订单已存在,请不要重复操作");

    private final Integer key;
    private final String msg;

    InfoEnum(Integer key, String msg) {
        this.key = key;
        this.msg = msg;
    }

}
